FUNCTION TRIM_COPY(3)

NAME
boost::algorithm::trim_copy_if - Trim - parametric.

SYNOPSIS

// In header: <boost/algorithm/string/trim.hpp>
template<typename OutputIteratorT, typename RangeT, typename PredicateT>
  OutputIteratorT
  trim_copy_if(OutputIteratorT Output, const RangeT & Input,
               PredicateT IsSpace);
template<typename SequenceT, typename PredicateT>
  SequenceT trim_copy_if(const SequenceT & Input, PredicateT IsSpace);

DESCRIPTION

Remove all trailing and leading spaces from the input. The supplied predicate is used to determine which characters are considered spaces. The result is a trimmed copy of the input. It is returned as a sequence or copied to the output iterator

Parameters:

    Input
        An input range

    IsSpace
        An unary predicate identifying spaces

    Output
        An output iterator to which the result will be copied

Returns:
    An output iterator pointing just after the last inserted character or a copy of the input

Notes:
    The second variant of this function provides the strong exception-safety guarantee